package com.hw.dms.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

import java.util.Date;

/**
 * 保养工单明细对象 dms_bills_maint_detail
 *
 * @author xins
 * @date 2024-03-20
 */
public class DmsBillsMaintDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private Long billsMaintDetailId;

    /** 保养工单ID，关联dms_bills_maint_instance的maint_instance_id */
    @Excel(name = "保养工单ID，关联dms_bills_maint_instance的maint_instance_id")
    private Long maintInstanceId;

    /** 设备ID，关联dms_base_device_ledger的device_id */
    @Excel(name = "设备ID，关联dms_base_device_ledger的device_id")
    private Long deviceId;

    /** 保养部位,关联dms_base_maint_station的maint_station_id */
    @Excel(name = "保养部位,关联dms_base_maint_station的maint_station_id")
    private Long stationId;

    /** 保养标准ID，关联保养标准主键 */
    @Excel(name = "保养标准ID，关联保养标准主键")
    private Long maintStandardId;

    /** 操作描述 */
    @Excel(name = "操作描述")
    private String operationDescription;

    /** 保养状态：1-待保养；2-保养中；3-已完成 */
    @Excel(name = "保养状态：1-待保养；2-保养中；3-已完成")
    private Long maintStatus;

    /** 是否标识：1-是；2-否 */
    @Excel(name = "是否标识：1-是；2-否")
    private Long isFlag;

    private Date beginTime;

    private Date endTime;

    private String deviceCode;

    private String deviceName;

    private String maintStationName;

    private String maintProtocol;

    private String maintOperationDescription;//保养标准中的操作描述

    private String typeName;//设备类型名称

    public void setBillsMaintDetailId(Long billsMaintDetailId)
    {
        this.billsMaintDetailId = billsMaintDetailId;
    }

    public Long getBillsMaintDetailId()
    {
        return billsMaintDetailId;
    }
    public void setMaintInstanceId(Long maintInstanceId)
    {
        this.maintInstanceId = maintInstanceId;
    }

    public Long getMaintInstanceId()
    {
        return maintInstanceId;
    }
    public void setDeviceId(Long deviceId)
    {
        this.deviceId = deviceId;
    }

    public Long getDeviceId()
    {
        return deviceId;
    }
    public void setStationId(Long stationId)
    {
        this.stationId = stationId;
    }

    public Long getStationId()
    {
        return stationId;
    }
    public void setMaintStandardId(Long maintStandardId)
    {
        this.maintStandardId = maintStandardId;
    }

    public Long getMaintStandardId()
    {
        return maintStandardId;
    }
    public void setOperationDescription(String operationDescription)
    {
        this.operationDescription = operationDescription;
    }

    public String getOperationDescription()
    {
        return operationDescription;
    }
    public void setMaintStatus(Long maintStatus)
    {
        this.maintStatus = maintStatus;
    }

    public Long getMaintStatus()
    {
        return maintStatus;
    }
    public void setIsFlag(Long isFlag)
    {
        this.isFlag = isFlag;
    }

    public Long getIsFlag()
    {
        return isFlag;
    }

    public String getDeviceCode() {
        return deviceCode;
    }

    public void setDeviceCode(String deviceCode) {
        this.deviceCode = deviceCode;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getMaintStationName() {
        return maintStationName;
    }

    public void setMaintStationName(String maintStationName) {
        this.maintStationName = maintStationName;
    }

    public String getMaintProtocol() {
        return maintProtocol;
    }

    public void setMaintProtocol(String maintProtocol) {
        this.maintProtocol = maintProtocol;
    }

    public String getMaintOperationDescription() {
        return maintOperationDescription;
    }

    public void setMaintOperationDescription(String maintOperationDescription) {
        this.maintOperationDescription = maintOperationDescription;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public Date getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(Date beginTime) {
        this.beginTime = beginTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("billsMaintDetailId", getBillsMaintDetailId())
            .append("maintInstanceId", getMaintInstanceId())
            .append("deviceId", getDeviceId())
            .append("stationId", getStationId())
            .append("maintStandardId", getMaintStandardId())
            .append("operationDescription", getOperationDescription())
            .append("maintStatus", getMaintStatus())
            .append("isFlag", getIsFlag())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
